/*
Copyright 2010 Harteex Productions
License: Creative Commons Attribution 3.0 Unported
http://creativecommons.org/licenses/by/3.0/
*/
#ifndef __gamefield_h__
#define __gamefield_h__

#include "config.h"

#include <stdint.h>

#define LEVELSIZE 32

extern uint8_t tilesLayer1[];
extern uint8_t tilesLayer2[];

extern int8_t   tileOffsetX;
extern int8_t   tileOffsetY;
extern uint8_t  tileFieldOffsetX;
extern uint8_t  tileFieldOffsetY;
extern uint8_t  tilesVisibleWidth;
extern uint8_t  tilesVisibleHeight;

uint8_t getTile(uint8_t x, uint8_t y, uint8_t layer);
void setTile(uint8_t x, uint8_t y, uint8_t layer, uint8_t tile);

#endif
